package Cpanel::Config::ConfigObj::Driver::Sitejet;

# cpanel - Cpanel/Config/ConfigObj/Driver/Sitejet.pm
#                                      Copyright 2024 WebPros International, LLC
#                                                            All rights reserved.
# copyright@cpanel.net                                         http://cpanel.net
# This code is subject to the cPanel license. Unauthorized copying is prohibited.

use cPstrict;

=encoding utf-8

=head1 NAME

Cpanel::Config::ConfigObj::Driver::Sitejet

=head1 DESCRIPTION

Feature Showcase driver for Sitejet

=cut

use parent qw(Cpanel::Config::ConfigObj::Interface::Config::v1);

use Cpanel::Config::ConfigObj::Driver::Sitejet::META ();
use Cpanel::Imports;

*VERSION = \$Cpanel::Config::ConfigObj::Driver::Sitejet::META::VERSION;

=head1 METHODS

=head2 init

Initializes the feature showcase object.

=cut

sub init ( $class, $software_obj ) {

    my $defaults = {
        'settings'      => {},
        'thirdparty_ns' => "",
    };

    my $self = $class->SUPER::base( $defaults, $software_obj );

    return $self;
}


sub check {
    my ($self) = @_;
    return 1;
}

1;
